var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const FRONTEND_URL = 'https://web-highlights.com';
function togglePopup(popup) {
    try {
        chrome.storage.sync.get((items) => {
            popup.style.display = items['showWebMarkerWidget'] !== false ? '' : 'none';
        });
    }
    catch (error) {
        popup.style.display = '';
    }
}
function createMarker() {
    let marker = document.querySelector('web-marker');
    if (!marker) {
        marker = document.createElement("web-marker");
        document.body.appendChild(marker);
    }
    return marker;
}
function createPopup() {
    let popup = document.querySelector('pop-up');
    if (!popup) {
        popup = document.createElement("pop-up");
        document.body.appendChild(popup);
    }
    return popup;
}
function setMarkerVisibility(marker) {
    try {
        chrome.storage.sync.get((items) => {
            marker.showMarkerIsDisabled = typeof items.showMarkerPopup === 'undefined' ? false : !items.showMarkerPopup;
        });
    }
    catch (error) {
        marker.showMarkerIsDisabled = false;
    }
}
// Don´t show extension on FRONTEND_URL
if (!location.href.includes(FRONTEND_URL)) {
    const marker = createMarker();
    setMarkerVisibility(marker);
    let popup = createPopup();
    togglePopup(popup);
    // Listens for messages from popup in browser action
    chrome.runtime.onMessage.addListener((request) => __awaiter(void 0, void 0, void 0, function* () {
        if (request.id === 'loggedIn') {
            yield Promise.all([
                popup.loadUserData(),
                popup.markInitialMarks()
            ]);
        }
        ;
        if (request.id === 'loggedOut') {
            yield popup.logout();
        }
        ;
        if (request.id === 'toggleWidget') {
            togglePopup(popup);
        }
        ;
        if (request.id === 'toggleShowMarker') {
            setMarkerVisibility(marker);
        }
        ;
    }));
}
// export {};
//# sourceMappingURL=content.js.map